*, ::before, ::after{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    font-family: Manrope, sans-serif;
    background-color: rgb(223, 223, 223);
    overflow-x: hidden;
}

.default-color::placeholder{
    color: #0a0a0a;
}

#main-container{
    width: 100vw;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#navbar-header{
    position: fixed;
    width: 100vw;
    background-color: #118fc9;
}

#web-name{
    height: 7rem;
    padding:1.5rem;
    font-size: 3rem;
    font-family: Pacifico, serif;
    font-weight: 400;
    font-style: none;
    color: #f1f1f1;
    text-align: center;
}

#sketch-controls{
    height: 2.9rem;
    padding: .5rem 10vw;
    background-color: #78bfee;
    margin-top: 1rem;
    white-space: nowrap;
    text-align: center;
}

.btn-ctrl{
    display: inline-block;
    padding: 0;
    margin: 0;
    vertical-align: top;
}

#sketch-controls button{
    height: 30px;
    width: 85px;
    font-family: Manrope, sans-serif;
    font-weight: 900;
    font-size: 12px;
    border-radius: 7px;
    border: none;
    box-shadow: 0px 0px 4px 1px #064763;
    margin: 0rem .5rem;
}

#sketch-controls input[type="color"]{
    height: 30px;
    width: 70px;
    padding: 3px;
    border-radius: 7px;
    border: none;
    margin: 0rem .5rem;
}

#control-buttons *:hover{
    scale: 1.02;
    color: #118fc9;
}

@media screen and (max-width: 900px) {
    .fade-edge{
        mask-image: linear-gradient(to left, transparent 0%, black 25px,black calc(100% - 25px), transparent 100%);
        height: 2.9rem;
        overflow-x: auto;
        overflow-y: hidden;
        scroll-behavior: smooth;
        user-select: none;
        -webkit-user-select: none;
        -moz-user-select: none;
        scroll-snap-type: x mandatory;
    }

    .fade-edge::-webkit-scrollbar{
        width: 0;
        height: 0;
    }
    
    .fade-edge .btn-ctrl{
        line-height: 0px;
        scroll-snap-align: start;
    }

}

#sketch-board{
    display: flex;
    width: 80vw;
    height: 80vw;
    flex-direction: row;
    flex-wrap: wrap;
    background-color:rgb(241, 241, 241);
    box-shadow: 0px 0px 0px 2px;

}

#sketch-container{
    margin-top: 12rem;
    box-shadow: 0px 0px 1rem 1px;
}

#slider-erase{
    -webkit-appearance: none;
    height: .7rem;
    width: 80vw;
    background: #a7a7a7;
    margin-top: 2rem;
    border: 0;
}

.custom-slider{
    -webkit-appearance: none;
    border-radius: 5px;
    outline: none;
}

#slider-erase::-webkit-slider-thumb{
    -webkit-appearance: none;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: #118fc9;
    cursor: pointer;
}

#slider-erase::-moz-range-thumb{
    -webkit-appearance: none;
    width: 25x;
    height: 25px;
    border-radius: 50%;
    background: #118fc9;
    cursor: pointer;
}

#slider-erase::-webkit-slider-runnable-track{
    background: #BBBBBB;
}

#about-container{
    width: 100vw;
    height: 50vh;
    display: flex;
    flex-direction: column;
    font-family: Manrope, sans-serif;
    margin-top: 6vh;
}

#about-content h1{
    font-size: 3rem;
    font-family: Pacifico, serif;
    font-weight: 400;
    font-style: none;
    text-align: center;
    color: #118fc9;
    margin-top: .5rem;
}

#about-content p{
    width: 60vw;
    height: auto;
    word-wrap: break-word;
    font-size: 1.1rem;
    text-align: justify;
    letter-spacing: 1px;
    margin: 0rem auto;
    margin-top: 2rem;
    line-height: 4.5vh;
}

#about-content span{
    position: absolute;
    font-family: Manrope, sans-serif;
    font-size: 1.8vw;
    letter-spacing: 1px;
    margin: 3rem 0rem;
    margin-left: 44vw;
}

#about-content a{
    text-decoration: none;
    /*color: #118fc9;*/
    color: #eba118;  
}

#about-content span:hover{
    scale: 1.05;
    
}

#footer{
    width: 100vw;
    height: 10vh;
    margin-top: 40vh;
    background: #118fc9;
    line-height: 10vh;
    padding: 0 9rem;
    text-align: center;
}

#footer h2{
    width: 30vw;
    font-family: Manrope, sans-serif;
    font-size: 1.5rem;
    font-weight: 500;
    color: #78bfee;
    text-align: start;
    vertical-align: middle;
    margin-left: 1rem;
}

#footer span{
    width: 30vw;
    text-align: end;
    margin: 0;
}

#footer h2, #footer span{
    height: 35%;
    display: inline-block;
    box-sizing: border-box;
    line-height: normal;
}

#footer i{
    scale: 1.6;
    color: #78bfee;
    margin: 0 .9rem;
}

#footer i:hover{
    color: #f1f1f1;
}

#footer i:nth-of-type(3){
    margin-right: 0;
}

@media screen and (max-width: 500px){
    #slider-erase{
        -webkit-appearance: none;
        height: 1vh;
    }

    #slider-erase::-webkit-slider-thumb{
        height: 16px;
        width: 16px;
    }

    #slider-erase::-moz-range-thumb{
        height: 16px;
        width: 16px;
    }

    #slider-erase::-webkit-slider-runnable-track{
        height: 2vh;
    }

    #about-content h1{
        font-size: 2rem;
    }
    
    #about-content p{
        width: 80vw;
        font-size: .8rem;
        line-height: 4vh;
    }

    #about-content span{
        width: 100vw;
        font-size: 1rem;
        padding: 0;
        margin: 1rem 0;
        text-align: center;
    }

    #footer{
        padding: 0 .2rem;
        margin-top: 35vh;
        text-align: center;
    }

    #footer h2{
        line-height: 3vh;
    }

    #footer i{
        scale: 1.3;
        margin: .5rem;
    }

    #footer h2, #footer span{
        margin: 0;
        width: 40vw;
    }

}

@media screen and (max-width: 500px){
    .mb-prompt{
        scale: .8;
    }
}